aboutsummaryrefslogtreecommitdiffstats
path: root/main/freeswitch/freeswitch.initd
diff options
context:
space:
mode:
Diffstat (limited to 'main/freeswitch/freeswitch.initd')
-rwxr-xr-xmain/freeswitch/freeswitch.initd33
1 files changed, 33 insertions, 0 deletions
diff --git a/main/freeswitch/freeswitch.initd b/main/freeswitch/freeswitch.initd
new file mode 100755
index 0000000000..84381d7711
--- /dev/null
+++ b/main/freeswitch/freeswitch.initd
@@ -0,0 +1,33 @@
+#!/sbin/runscript
+# Copyright 2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License, v2 or later
+# $Header: $
+
+depend() {
+ need net
+}
+
+start() {
+ local OPTS
+
+ [ -n "${FREESWITCH_USER}" ] && \
+ OPTS="${OPTS} -u ${FREESWITCH_USER}"
+
+ [ -n "${FREESWITCH_GROUP}" ] && \
+ OPTS="${OPTS} -g ${FREESWITCH_GROUP}"
+
+ [ -n "${FREESWITCH_OPTS}" ] && \
+ OPTS="${OPTS} ${FREESWITCH_OPTS}"
+
+ ebegin "Starting Freeswitch"
+ start-stop-daemon --start --quiet --exec /usr/bin/freeswitch \
+ --pidfile /var/run/freeswitch.pid -- -nc ${OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Freeswitch"
+ start-stop-daemon --stop --quiet --pidfile /var/run/freeswitch.pid
+ eend $?
+}
+